Bug 47236 - (NeoMagic 256AV) X freezes on ThinkPad 390X
(NeoMagic 256AV) X freezes on ThinkPad 390X
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-03 20:56 EDT by Juarez P. Freitas Jr.
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-28 10:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juarez P. Freitas Jr. 2001-07-03 20:56:08 EDT
Description of Problem:

All the time, I am working, maybe at 1 min, maybe at 20 min, and the X freezes without any errors, with any software, in KDE or GNOME. At this moment, only the mouse its OK! The system hangs and I won't do

anything else. I have to manually reboot the computer, and deal with the fsck that comes after.

Before this installation of RedHat 7.1, I used the Conectiva Linux 6.0 in this machine, with KDE 2.0.1, and I has no problems.

How Reproducible:

Every time

Steps to Reproduce:

1.startx or kdm;

2.works normally, in any software;



Actual Results:


Expected Results:


Additional Information:

ThinkPad 390X - 2626H0P

128 MB RAM

PII 400 

kernel 2.4.3-12



Comment 1 Daniel Bach 2001-07-18 13:09:26 EDT
I have a similar problem:
System: T-Bird, FIC Ad-11 board, Nvidia TNT2 16Mb, rh7.1 w/ new kernel (2.4.3-
12, from rpms), just upgraded to RawHide XFree (4.1.?) in an attempt to fix.

Symptoms are: use X for a while (hours or days), it hangs, mouse moves but no 
clicking icons, keyboard locked up.  I can't change to a virtual terminal, but 
I can ssh in to "telinit 3 && telinit 5" to get the system back.  Of late I've 
kept gtop open.  Occasionally X processor use goes way up and the screen starts 
to flicker.

Possibly related: my mouse jumps around alot (move eratically to the top right 
corner).  I may have fixed this by changing my mouse type (w/ mouseconfig).  
Its a Logitech 3 button PS/2 mouse.
Comment 2 Mike A. Harris 2001-08-28 10:35:58 EDT
nvidia issue is almost certainly a separate issue.

For neomagic, please attach your XFree86 logs and config file
uncompressed using the link below.
Comment 3 Mike A. Harris 2001-10-21 17:10:08 EDT
Closing bug due to lack of information supplied as requested.
Comment 4 Juarez P. Freitas Jr. 2001-10-22 05:33:14 EDT
Excuse-me, but I uninstalled the RedHat 7.1 from my machine, because I needed to

Unfortunally, RedHat 7.1 is not a linux system for me.

I waited two months for any feedback, and finally, my time was expired!
Comment 5 Mike A. Harris 2001-10-23 02:43:29 EDT
My apologies in the delay in responding to your bug report.
Unfortunately, without the information that was requested,
there is no way to debug this problem or fix it.  In order
to have a bug fixed, developers need to have certain
pieces of information.  If information has been requested,
(albeit quite late) in your case, if it is not supplied in
a reasonable amount of time, at some point the bug gets looked
at again, and if there is nothing there to go on, it is assumed
that the person who filed the report is no longer available,
has solved their problem somehow, or is no longer interested.

If that presumption is incorrect when a bug is closed, the
original submitter, or anyone else, can reopen the report
using the buttons below, and have it reactivated.  Then, they
can submit the requested info, and re-establish the bug
tracking.  If no further info is needed from the submitter, the
bug will remain open until resolved - either by fixing the bug,
a new release coming out that fixes the bug, or it being considered
unfixable, or too much effort for too little gain to fix
(depending on severity, and other items).

So, if you indeed are interested in having this looked into
still, I would be glad to do so after you attach the information
needed, and reopen the report.

Again, I apologize for any inconveniences.

Note You need to log in before you can comment on or make changes to this bug.